Bug 1098371 - Sort options in language and document lists on the version page do not take effect until a search is performed on the list
Summary: Sort options in language and document lists on the version page do not take e...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.4
Assignee: Ding-Yi Chen
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-16 02:25 UTC by David Mason
Modified: 2014-07-17 06:39 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-07-17 06:39:28 UTC


Attachments (Terms of Use)

Description David Mason 2014-05-16 02:25:47 UTC
Description of problem:
On the version page, there is a 'Sort' menu at the top of each list of documents or languages. Selecting an option from the menu causes the list to visibly refresh, but the order does not change until another operation is performed on the list such as paging or entering a search.

Version-Release number of selected component (if applicable):
3.4-SNAPSHOT

How reproducible:
easy, always

Steps to Reproduce:
1. Open the version page for a version that has multiple languages
2. Ensure that default sort option 'Alphabetical' is selected, and that at least one language has a higher translated percentage than some language earlier in the list. Take note of these two languages.
3. In the languages sort menu, select the 'Percent translated' option.
4. click 'Search languages...', press 'a' then press <delete>
5. In the languages sort menu, select the 'Alphabetical' option.
6. Click 'Next' button to load the next set of languages.
7. Click 'Previous' button to return to the beginning of the set of languages.

Actual results:
3. Languages list visibly refreshes, but order is still alphabetical
4. Languages list order changes to show most translated languages first
5. Languages list visibly refreshes, but order is not alphabetical
6-7. Languages list changes to alphabetical sorting


Expected results:
3. Languages list order changes to show most translated languages first
4. Languages list should already have been sorted with most translated languages first. Adding then clearing a search should not cause sort order to change.
5. Languages list order changes to alphabetical
7. Languages list should already have been sorted alphabetically. Paging should not cause sort order to change.

Additional info:
Tested on Firefox ESR 17.0.7

Comment 1 Alex Eng 2014-05-16 05:39:23 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/450

Comment 2 Ding-Yi Chen 2014-05-19 00:48:43 UTC
VERIFIED with 

Zanata 3.4.0-SNAPSHOT (git-server-3.3.2-345-ge34c708)


Note You need to log in before you can comment on or make changes to this bug.